package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF47DData {

    private Map<String, Object> params;
    
    public MWF47DData(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAppId() {
        return (String) params.get("RS_APP_ID");
    }

    public Long rsAppKey() {
        return (Long) params.get("RS_APP_KEY");
    }

    public String rsAppTypeId() {
        return (String) params.get("RS_APP_TYPE_ID");
    }

    public String rsAppSubtypeId() {
        return (String) params.get("RS_APP_SUBTYPE_ID");
    }

    public String rsAppStatusId() {
        return (String) params.get("RS_APP_STATUS_ID");
    }

    public java.util.Date rsDecisionDate() {
        return (java.util.Date) params.get("RS_DECISION_DATE");
    }

    public String rsProductType() {
        return (String) params.get("RS_PRODUCT_TYPE");
    }

    public String rsSalesProductType() {
        return (String) params.get("RS_SALES_PRODUCT_TYPE");
    }

    public String rsCardBrand() {
        return (String) params.get("RS_CARD_BRAND");
    }

    public String rsCardVariant() {
        return (String) params.get("RS_CARD_VARIANT");
    }

    public String rsCardPromo() {
        return (String) params.get("RS_CARD_PROMO");
    }

    public String rsCardDesign() {
        return (String) params.get("RS_CARD_DESIGN");
    } 

}
